package com.jpsoft.shinestar.modules.common.utils.Generator;

import cn.hutool.captcha.generator.CodeGenerator;

/**
 * @author 墨鱼_mo
 * @date 2019-8-8 15:21
 */


public abstract class AbstractGeneratorA implements CodeGenerator {
    private static final long serialVersionUID = 8685744597154953479L;
    protected String baseStr;
    protected int length;

    public AbstractGeneratorA(int count) {
        this("0123456789", count);
    }

    public AbstractGeneratorA(String baseStr, int length) {
        this.baseStr = baseStr;
        this.length = length;
    }

    public int getLength() {
        return this.length;
    }
}

